#!/bin/bash

registry=docker.io

region=$1
serverUrl=$2
key=$3
count=${4:-1}

export DEFAULT_REGION_NAME=${region:-smoke-test}
export DEFAULT_RUNNER_CPU=1
export DEFAULT_RUNNER_MEMORY=4096M

# The URL of the coordinator service. Also accessible via the [websiteUrl]/agents
export AGENT_SERVER_URL=$serverUrl

# Set to true to see the locations from which your tests run visually on a map.
# For this to work we also need to retrieve the test runner public IP address
# by making an HTTP request to the service specified at AGENT_GETIP_URL.
export AGENT_UPDATE_LAT_LONG=true
export AGENT_GETIP_URL=http://api.ipify.org

export AGENT_KEY=${key}

export HOSTNAME
export TEST_RUNNER_IMAGE=${registry}/testable/agent:onprem
export TEST_RUNNER_COUNT=${count}

export COMPOSE_HTTP_TIMEOUT=1200

docker-compose --compatibility -f test-runner-only.yml up -d