#!/bin/bash

registry=docker.io

export DEFAULT_REGION_NAME=smoke-test
export DEFAULT_RUNNER_CPU=2
export DEFAULT_RUNNER_MEMORY=4096M

if test -f "onprem.env"; then
  export AUTOGEN_KEY=$(sed -n -e '/^TESTABLE_KEY=/p' onprem.env | cut -c14-)
else
  export AUTOGEN_KEY=$(cat /dev/urandom | tr -dc 'a-z' | fold -w 32 | head -n 1)
fi
export HOSTNAME
export SERVICES_IMAGE=${registry}/testable/services:latest
export SERVICES_WITH_BROWSERS_IMAGE=${registry}/testable/services-with-browsers:latest
export WEB_IMAGE=${registry}/testable/web:latest
export TEST_RUNNER_IMAGE=${registry}/testable/agent:onprem
export PROXY_IMAGE=${registry}/testable/proxy:latest

export REDIS_IMAGE=${registry}/bitnami/redis-cluster:6.0-debian-10
export ZK_IMAGE=${registry}/bitnami/zookeeper:3-debian-10
export KAFKA_IMAGE=${registry}/bitnami/kafka:2.4.1
export MYSQL_IMAGE=${registry}/library/mysql:5.6.49

envsubst < onprem.env.template > onprem.env
envsubst < kafka.env.template > kafka.env

export COMPOSE_HTTP_TIMEOUT=1200

docker-compose --compatibility up -d